@import "../../../assets/styles/main.scss";

.deleteSideDrawerMain {
  height: 100%;
  padding: 40px 0px 40px 40px;
  // overflow: scroll;

  @include lg {
    padding: 30px;
  }

  .deleteMainSection {
    display: flex;
    flex-flow: column;
    gap: 40px;
    height: 100%;
    @include lg {
      gap: 24px;
    }
    .deleteHeading {
      padding-bottom: 0px;

      @include lg {
        padding-bottom: 0px;
      }
      h1 {
        font-size: 24px;
        @include inter700;
        color: getColorHex("black");
        line-height: 32px;
        @include lg {
          font-size: 22px;
        }
      }
    }
    .borderdiv {
      background: #d5d8dd;
      height: 1px;
    }
    .deleteContainMain {
      height: 100%;
      overflow-y: auto;
      @include customScroll;
      .deleteContain {
       
        @include vertical_align_center;
        flex-direction: column;
      

        img {
          height: 380px;
          width: 380px;

          @include md {
            height: 280px;
            width: 280px;
          }
        }

        p {
          @include inter400;
          font-size: 14px;
          line-height: 30px;
          text-align: center;
          padding: 12px 0 0 0;
        }

        .newEsimSubmitButton {
          display: flex;
          flex-direction: row;
          gap: 15px;
          padding: 40px 0 0 0;

          @include md {
            padding: 30px 0 0 0;
          }

          button {
            @include transition-3s;
            max-height: 47px;
            height: 47px;
            min-width: 124px;
            padding: 10px 30px;
            font-size: 20px;
            line-height: 24.2px;
            cursor: pointer;
            border: none;
            text-align: center;
            border-radius: 50px;
            display: flex;
            flex-direction: row;
            gap: 5px;
            align-items: center;
            justify-content: center;
            @include inter700;

            @include md {
              padding: 8px 24px;
              font-size: 18px;
              line-height: 22x;
            }

            span {
              padding-top: 1px;
            }

            &.greyButton {
              border: 1px solid getColorHex("dark_grey");
              background: getColorHex("dark_grey");
              color: getColorHex("black");

              &:hover {
                border: 1px solid getColorHex("black");
                background: getColorHex("white");
                color: getColorHex("black");
              }
            }

            &.redButton {
              border: 1px solid getColorHex("red");
              background: getColorHex("red");
              color: getColorHex("white");

              &:hover {
                border: 1px solid getColorHex("red");
                background: getColorHex("white");
                color: getColorHex("red");
              }
            }
          }
        }
      }
    }
  }
}
